Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Array_Base.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/Malloc_Base.h"`
`#include "ace/Array_Base.inl"`
`#include "ace/Array_Base.cpp"`

Include dependency graph for Array_Base.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Array_Base< T >
| Implement a simple dynamic array. More...
class | ACE_Array_Iterator< T >
| Implement an iterator over an ACE_Array. More...

## Detailed Description

Id
  Array_Base.h,v 4.13 2006/01/29 01:03:26 schmidt Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>